Section "ServerLayout"
    Identifier     "ArchLinux"
    Screen   	   0  "Screen0"
    InputDevice    "keyboard"
    InputDevice    "mouse"
    InputDevice    "synaptics"
EndSection

Section "Files"
    ModulePath   "/usr/lib/xorg/modules"
    FontPath     "/usr/share/fonts/misc"
    FontPath     "/usr/share/fonts/100dpi:unscaled"
    FontPath     "/usr/share/fonts/75dpi:unscaled"
    FontPath     "/usr/share/fonts/100dpi"
    FontPath     "/usr/share/fonts/75dpi"
    FontPath     "/usr/share/fonts/TTF"
    FontPath     "/usr/share/fonts/Type1"
    FontPath     "/usr/share/fonts/artwiz-fonts"
EndSection

Section "Module"
    Load  "glx"
    Load  "dri"
    Load  "extmod"
    Load  "synaptics"
EndSection

Section "ServerFlags"
    Option        "AllowMouseOpenFail"
    Option        "BlankTime" "5"
    Option        "AIGLX"   "false"
    Option        "AutoAddDevices" "false"
EndSection

Section "InputDevice"
    Identifier  "keyboard"
    Driver      "kbd"
    Option      "CoreKeyboard"
    Option      "XkbRules" "xorg"
    Option      "XkbModel" "pc105"
    Option      "XkbLayout" "pl"
    Option	"XkbOptions" "compose:menu"
EndSection

Section "InputDevice"
    Identifier  "mouse"
    Driver      "mouse"
    Option      "Device" "/dev/input/mice"
    Option      "Protocol" "IMPS/2"
    Option      "Emulate3Buttons" "yes"
    Option      "ZAxisMapping" "4 5"
    Option      "SendCoreEvents"   "yes"    
EndSection

 Section "InputDevice"
   Identifier  "synaptics"
   Driver      "synaptics"
   Option      "Device"           "/dev/psaux"
   Option      "Protocol"         "auto-dev"
   Option      "PalmDetect"       "1"
   Option      "SHMConfig"        "true"
   Option      "SendCoreEvents"   "yes"
   Option      "RBCornerButton"   "0"
   Option      "RTCornerButtom"   "0"
   Option      "TapButton1"       "1"
   Option      "TapButton2"       "2"
   Option      "TapButton3"       "3"
   Option      "AccelFactor"   "0.0320"
   Option      "MaxSpeed"      "0.72"
   Option      "MinSpeed"      "0.6"
   Option      "Emulate3Buttons"       "true"
   Option      "TouchPadOff"       "0"
   Option      "LBCornerButton"        "2"
   Option      "LeftEdge"      "60"
   Option      "RightEdge"     "1070"
   Option      "TopEdge"       "90"
   Option      "BottomEdge"    "680"
   Option      "VertTwoFingerScroll"   "1"
   Option      "HorizTwoFingerScroll"  "1"
   Option      "HorizScrollDelta"  "20"
   Option      "LockedDrags"   "1"
   Option      "CoastingSpeed" "0.13"
   Option      "CircularScrolling"     "1"
   Option      "CircScrollTrigger"     "8"     # 8=Top Left Corner
 EndSection

Section "Monitor"
  Identifier   "Monitor0"
  VendorName   "ASUS"
  ModelName    "eeePC 901"
  Modeline     "1024x600" 48.96 1024 1064 1168 1312 600 601 604 622 -HSync +VSync # 60 Hz
EndSection

Section "Device"
    Identifier  "Card0"
    Driver      "intel"
    VendorName  "Intel Corporation"
    BoardName   "Mobile 915GM/GMS/910GML Express Graphics Controller"
    BusID       "PCI:0:2:0"
    Option      "AccelMethod" "EXA"
    Option      "MigrationHeuristic" "greedy"
EndSection

Section "Screen"
    Identifier "Screen0"
    Device     "Card0"
    Monitor    "Monitor0"
    DefaultDepth     24
    SubSection "Display"
        Viewport   0 0
        Depth     16
	Virtual 1600 1200
    EndSubSection
    SubSection "Display"
        Viewport   0 0
        Depth     24
	Virtual 1600 1200
    EndSubSection
EndSection

Section "DRI"
    Mode         0666
EndSection
